package com.persagy.ccontinue.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/16 4:07 下午
 * @version: V1.0
 **/
@Data
public class BaseEntity<T> extends Model {
    /**
     * createTime
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * updateTime
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
